## turqstat 1.2-1

=== Makefile ===
# Makefile for OS/2, EMX and IBM nmake
#
# $Id: Makefile,v 1.8 1999/07/21 13:12:47 peter Exp $

CFLAGS=-Wall -O3 -g

all: turqstat.exe

turqstat.exe: turqstat.o statengine.o statview.o turqstat.def squishread.o fdapxread.o jamread.o mypointread.o utility.o sdmread.o
        gcc $(CFLAGS) -o turqstat.exe *.o -lstdcpp

turqstat.o: turqstat.cpp statengine.h statview.h arearead.h squishread.h fdapxread.h jamread.h mypointread.h version.h
        gcc $(CFLAGS) -c turqstat.cpp

statengine.o: statengine.cpp statengine.h
        gcc $(CFLAGS) -c statengine.cpp

statview.o: statview.cpp statview.h statengine.h version.h
        gcc $(CFLAGS) -c statview.cpp

squishread.o: squishread.cpp squishread.h arearead.h statengine.h datatypes.h utility.h
        gcc $(CFLAGS) -c squishread.cpp

utility.o: utility.cpp utility.h
        gcc $(CFLAGS) -c utility.cpp

fdapxread.o: fdapxread.cpp fdapxread.h datatypes.h statengine.h arearead.h
        gcc $(CFLAGS) -c fdapxread.cpp

jamread.o: jamread.cpp jamread.h datatypes.h statengine.h arearead.h
        gcc $(CFLAGS) -c jamread.cpp

mypointread.o: mypointread.cpp mypointread.h datatypes.h statengine.h arearead.h
        gcc $(CFLAGS) -c mypointread.cpp

sdmread.o: sdmread.cpp sdmread.h arearead.h statengine.h datatypes.h utility.h
        gcc $(CFLAGS) -c sdmread.cpp

dist: turqstat.exe source.rar
        emxbind -s turqstat.exe
        rar -av a turqstat.rar turqstat.exe turqstat.doc turqstat.dok source.rar COPYING
        del source.rar

source.rar:
        rar -s -av a source.rar *.def *.cpp *.h Makefile*

clean:
        -del *.o
        -del *.exe

=== debian/changelog ===
turqstat (1.2-1) unstable; urgency=low

  * Initial Release.
  * Took jamread.* from upcoming 1.3 version to be able to compile with
    GNU C++ 2.95.

 -- Per Lundberg <plundis@debian.org>  Fri, 15 Oct 1999 10:46:14 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: turqstat
Section: mail
Priority: optional
Maintainer: Per Lundberg <plundis@debian.org>
Standards-Version: 2.5.1

Package: turqstat
Architecture: any
Depends: ${shlibs:Depends}
Description: Fidonet message base statistics program
 Turquoise SuperStat is a simple but powerful Fidonet message base
 statistics program that can read messages that are stored in
 SDM (*.MSG), SquishMail, JAM, FDAPX/w and MyPoint message bases.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) -f Makefile.linux

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -f Makefile.linux clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -f Makefile.linux install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## turqstat 2.2.1

=== debian/changelog ===
turqstat (2.2.1) unstable; urgency=low

  * Fix missing include which gave compile problems on hppa.
   (Closes: Bug#126577)

 -- peter karlsson <peterk@debian.org>  Sun, 09 Dec 2001 23:30:00 +0100

turqstat (2.2) unstable; urgency=low

  * NNTP support.

 -- peter karlsson <peterk@debian.org>  Sun, 09 Dec 2001 23:30:00 +0100

turqstat (2.1.4.1) unstable; urgency=low

  * Yet another GCC 3.0 fix.

 -- peter karlsson <peterk@debian.org>  Wed, 11 Oct 2001 23:00:00 +0200

turqstat (2.1.4) unstable; urgency=low

  * Now compiles with GCC 3.0.

 -- peter karlsson <peterk@debian.org>  Wed, 10 Oct 2001 22:00:00 +0200

turqstat (2.1.3) unstable; urgency=low

  * Preliminary fixes for compilation with GCC 3.0.
  * Added Build-Depends on libstdc++ before 3.0, since 3.0 seems to
    remove required functionality.

 -- peter karlsson <peterk@debian.org>  Sat, 04 Oct 2001 18:15:00 +0200

turqstat (2.1.2) unstable; urgency=low

  * Cosmetic fix.
  * Made sure it compiles with QT 3, and update Build-Depends to reflect
    that.

 -- peter karlsson <peterk@debian.org>  Sat, 15 Sep 2001 23:00:00 +0200

turqstat (2.1.1) unstable; urgency=low

  * Fix a bug which caused hangs when illegal QP sequences were encountered.
   (Reported by: Gonzalo Paniagua Javier <gpanjav@jazzfree.com>)

 -- peter karlsson <peterk@debian.org>  Thu, 30 Aug 2001 19:00:00 +0200

turqstat (2.1) unstable; urgency=low

  * Made it possible to select date ranges for input.
  * Added character re-encoding for most single-byte character sets used in
    Fidonet and Usenet today.
  * Cleaned up Debianization slightly.

 -- peter karlsson <peterk@debian.org>  Wed, 18 Jul 2001 20:00:00 +0200

turqstat (2.0.3) unstable; urgency=low

  * Made it work on big-endian architectures.
   (Closes: Bug#87076)

 -- peter karlsson <peterk@debian.org>  Wed, 04 Jul 2001 22:00:00 +0200

turqstat (2.0.2) unstable; urgency=low

  * Explicitly list little-endian architectures only in debian/control,
    so that build isn't attempted on big-endians one. This package is not
    endianess clean (help welcome).

 -- peter karlsson <peterk@debian.org>  Thu, 08 Feb 2001 19:00:00 +0100

turqstat (2.0.1) unstable; urgency=low

  * Does not crash on news messages consisting solely of header
    (Closes: Bug#81499).

 -- peter karlsson <peterk@debian.org>  Tue, 09 Jan 2001 20:00:00 +0100

turqstat (2.0) unstable; urgency=low

  * Now officially maintained in Debian by the original author.
  * Added an X Window System version (in package xturqstat) based on Qt.
  * Works around timezone problems by trying to avoid the C library
    functions.
  * Corrections in documentation.
  * Merged this ChangeLog with the official Debian version of it.
  * Updated to more recent debhelper code, which among other things means an
    update to Standards-Version 3.0.1.
  * For more info, see the original ChangeLog.

 -- peter karlsson <peterk@debian.org>  Sun, 26 Nov 2000 14:21:00 +0100

turqstat (1.4) unstable; urgency=low

  * New version.
  * Uses autoconf.
  * Now actually includes the program ChangeLog.

 -- Per Lundberg <plundis@debian.org>  Mon, 15 May 2000 18:27:00 +0200

turqstat (1.3) unstable; urgency=low

  * New version (see ChangeLog).

 -- Per Lundberg <plundis@debian.org>  Sat, 25 Mar 2000 15:02:59 +0100

=== debian/control ===
Source: turqstat
Section: mail
Priority: extra
Maintainer: peter karlsson <peterk@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper, libqt-dev (>= 2:2.1.0) | libqt3-dev

Package: turqstat
Architecture: any
Depends: ${shlibs:Depends}
Suggests: crashmail | news-transport-system | slrnpull
Description: Fidonet and Usenet statistics program
 Turquoise SuperStat is a simple but powerful Fidonet and Usenet
 message base statistics program that can read messages that are
 stored in SDM (*.MSG), SquishMail, JAM, FDAPX/w and MyPoint
 message bases as well as local or remote (NNTP) Usenet news
 spools.
 .
 This is the command line based version.

Package: xturqstat
Architecture: any
Depends: ${shlibs:Depends}
Suggests: crashmail | news-transport-system | slrnpull, turqstat
Description: Fidonet and Usenet statistics program for X
 Turquoise SuperStat is a simple but powerful Fidonet and Usenet
 message base statistics program that can read messages that are
 stored in SDM (*.MSG), SquishMail, JAM, FDAPX/w and MyPoint
 message bases as well as local or remote (NNTP) Usenet news
 spools.
 .
 This is the GUI version.

## turqstat 2.2.1woody1

=== debian/changelog ===
turqstat (2.2.1woody1) oldstable-security; urgency=high

  * Applied upstream patch to fix buffer overflow in date parser
    [utility.cpp, CAN-2005-2658]

 -- Martin Schulze <joey@infodrom.org>  Fri,  9 Sep 2005 10:12:53 +0200

## turqstat 2.2.2

=== debian/changelog ===
turqstat (2.2.2) unstable; urgency=low

  * Use multi-threaded Qt library.
   (Closes: Bug#184019)

 -- Peter Karlsson <peterk@debian.org>  Mon, 17 Mar 2003 19:00:00 +0100

turqstat (2.2.1.1) unstable; urgency=low

  * Recompiled with new GNU C++ 3.2.

 -- Peter Karlsson <peterk@debian.org>  Wed, 05 Mar 2003 20:00:00 +0100

## turqstat 2.2.2sarge1

=== mappings/Makefile ===
# Makefile.in for the mapping tables
#
# $Id: Makefile.in,v 1.4 2001/06/11 16:11:23 peter Exp $

# Variables
CXXFLAGS=-g -O2 -I.. -Wall
OBJS=
srcdir=.


# Magic targets
all: $(OBJS)
mappings: ../mappings.cpp ../mappings.h

clean:
#	-rm $(OBJS)

distclean: clean

# Object files

# Source files
../mappings.cpp ../mappings.h: makemappings.pl 8859-*.txt cp*.txt koi*.txt roman.txt
	./makemappings.pl

# List phony targets
.PHONY: all clean distclean mappings

=== debian/changelog ===
turqstat (2.2.2sarge1) stable-security; urgency=high

  * Applied upstream patch to fix buffer overflow in date parser
    [utility.cpp, CAN-2005-2658]

 -- Martin Schulze <joey@infodrom.org>  Fri,  9 Sep 2005 10:57:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: turqstat
 Section: mail
 Priority: extra
-Maintainer: peter karlsson <peterk@debian.org>
+Maintainer: Peter Karlsson <peterk@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: debhelper, libqt-dev (>= 2:2.1.0) | libqt3-dev
+Build-Depends: debhelper (>= 2), libqt3-mt-dev, qt3-dev-tools-compat
 
 Package: turqstat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright 1999-2001 peter karlsson <peterk@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Install CLI version ("turqstat")
	$(MAKE) install-text prefix=`pwd`/debian/turqstat/usr
	cp -a ChangeLog debian/turqstat/usr/share/doc/turqstat/changelog
	cp -a debian/changelog debian/turqstat/usr/share/doc/turqstat/changelog.Debian
	# Install X version ("xturqstat")
	$(MAKE) install-qt prefix=`pwd`/debian/xturqstat/usr
	cp -a ChangeLog debian/xturqstat/usr/share/doc/xturqstat/changelog
	cp -a debian/changelog debian/xturqstat/usr/share/doc/xturqstat/changelog.Debian

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -isp
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
